<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

<xsl:template match="places">

 <table border='1' width="100%" >
 <tr><td>選択</td><td>緯度</td><td>経度</td><td>場所名</td><td>リンク先URL</td><td>イメージ</td><td>説明</td></tr>

 <xsl:for-each select="place">
  <tr>
   <!-- 選択ラジオボタン -->
   <td>
     <xsl:element name="input">
     <xsl:attribute name="type">radio</xsl:attribute>
     <xsl:attribute name="name">plc_id</xsl:attribute>
     <xsl:attribute name="value"><xsl:value-of select="@id" /></xsl:attribute>
     </xsl:element>
   </td>

   <!-- 緯度 -->
   <td>
    <xsl:value-of select="@latitude" />
   </td>

   <!-- 経度 -->
   <td>
    <xsl:value-of select="@longitude" />
   </td>

   <!-- 場所名  -->
   <xsl:if test="title" >
    <td>
     <xsl:value-of select="title" />
    </td>
   </xsl:if>
   <xsl:if test="not(title)">
    <td></td>
   </xsl:if>

   <!-- リンク先URL -->
   <xsl:if test="link" >
    <td>
     <xsl:value-of select="link" />
    </td>
   </xsl:if>
   <xsl:if test="not(link)">
    <td></td>
   </xsl:if>

   <!-- イメージへのパス -->
   <xsl:if test="image" >
    <td>
     <xsl:value-of select="image" />
    </td>
   </xsl:if>
   <xsl:if test="not(image)">
    <td></td>
   </xsl:if>

   <!-- 説明 -->
   <xsl:if test="description" >
    <td>
     <xsl:value-of select="description" />
    </td>
   </xsl:if>
   <xsl:if test="not(description)">
    <td></td>
   </xsl:if>
  </tr>
 </xsl:for-each>
</table>

</xsl:template>
</xsl:stylesheet>

